# Example imaging script for a data set with some ACA antennas but
# also up to 1.6 km baselines

os.system('rm -rf SgrB2_187_spw0_279-350_methanol.clean*') 
tclean(vis=['Xf3d_Sgr_B2N.ms_FluxEqual_187','X412_Sgr_B2N.ms_FluxEqual_187'],
	imagename='SgrB2_187_spw0_279-350_methanol.clean', 
        spw='0',                          #
	field='Sgr_B2N',                  
	specmode='cube',            
        outframe='lsrk',
        restfreq='185.518GHz',
	start=279,                       
        nchan=72,
	gridder='mosaic',               # Recommended for mixed antenna sizes
        pblimit=0.05,
	imsize=800,
        cell='0.04arcsec',
        threshold='200mJy/beam',
        weighting='briggs',             
        robust=0.5,                     # Suppresses sidelobes
	uvtaper='0.3arcsec',            # Mitigates effect of sparse long baselines
	niter=2000000,                     # NB this is nchan x (niter per chan)
	interactive=T)

# Make primary-beam corrected FITS images:
# cube CH3OH centred on tentative ID

imlist=['SgrB2_187_spw0_279-350_methanol.clean']
for i in imlist:
    impbcor(imagename=i+'.image',
            pbimage=i+'.pb',
            outfile=i+'.pbcorr')
    exportfits(imagename=i+'.pbcorr',
               fitsimage=i+'.pbcorr.fits')
    exportfits(imagename=i+'.pb',
               fitsimage=i+'.pb.fits')
